add gpg passphrase verification so that we fail-fast if i fat-finger my extremely long and complex gpg passphrase

git-svn-id: https://svn.apache.org/repos/asf/wicket/branches/wicket-1.4.14@1039824 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/release.sh b/release.sh
index 0b646f6..fd07976 100755
--- a/release.sh
+++ b/release.sh
@@ -28,6 +28,15 @@
 read passphrase
 stty $stty_orig
 
+# test the GPGP passphrase to fail-fast:
+echo "$passphrase" | gpg --passphrase-fd 0 --armor --output pom.xml.asc --detach-sig pom.xml
+gpg --verify pom.xml.asc
+if [ $? -ne 0 ]; then
+	echo "It appears that you fat-fingered your GPG passphrase"
+	exit $?
+fi
+rm pom.xml.asc
+
 # Clear the current NOTICE.txt file
 echo "Creating notice file."